MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029894Community[OCCT] OCCT:Visualizationpublic2018-06-24 05:522018-06-30 13:34
Reportereryar 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029894: Visualization - AIS_ColorScale ColorRange returns only min color
DescriptionThe ColorRangle() function returns only the min color, see the code bellow:
//! Returns color range corresponding to minimum and maximum values, blue to red by default.
void ColorRange (Quantity_Color& theMinColor,
                 Quantity_Color& theMaxColor) const
{
theMinColor.SetValues (hueToValidRange (myColorHlsMin[0]), myColorHlsMin[1], myColorHlsMin[2], Quantity_TOC_HLS);

theMaxColor.SetValues (hueToValidRange (myColorHlsMin[0]), myColorHlsMin[1], myColorHlsMin[2], Quantity_TOC_HLS);

}


It should change the second line code:
theMaxColor.SetValues (hueToValidRange (myColorHlsMax[0]), myColorHlsMax[1], myColorHlsMax[2], Quantity_TOC_HLS);

Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0077062)
git (administrator)
2018-06-26 16:38

Branch CR29894 has been created by mnv.

SHA-1: 302d70e6ea6f350f2a4a7f08119007f2c1216468


Detailed log of new commits:

Author: mnv
Date: Tue Jun 26 16:27:12 2018 +0300

    0029894: Visualization - AIS_ColorScale ColorRange returns only min color
    
    Fix misspelling in theMaxColor.SetValues method argument.
(0077063)
git (administrator)
2018-06-26 16:53

Branch CR29894 has been updated forcibly by mnv.

SHA-1: 5eb626b71a1c7e55527fb777131bd694b034adfb
(0077069)
mnv (developer)
2018-06-27 10:17

Patch is ready for review
http://jenkins-test-11.nnov.opencascade.com/view/CR29894-master-MNV/ [^]
(0077070)
git (administrator)
2018-06-27 10:40

Branch CR29894 has been updated forcibly by mnv.

SHA-1: ece4507eab0670ddd7b5e4126ada1c7e2ab37acc
(0077071)
kgv (developer)
2018-06-27 10:44

Please take the patch.
(0077075)
bugmaster (administrator)
2018-06-27 14:08

Combination -
OCCT branch : CR29894 SHA - 5eb626b71a1c7e55527fb777131bd694b034adfb
Products branch : master SHA - 7a576c05655c87d2d5fadbdb8cbc8dbcd8f5948e
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 17185.969999999736 / 17145.989999999943 [+0.23%]
Products
Total CPU difference: 7482.180000000023 / 7468.7800000000425 [+0.18%]
Windows-64-VC10:
OCCT
Total CPU difference: 16863.98890179862 / 16856.422853298653 [+0.04%]
Products
Total CPU difference: 8280.096277199893 / 8238.756012199881 [+0.50%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0077137)
git (administrator)
2018-06-30 13:34

Branch CR29894 has been deleted by inv.

SHA-1: ece4507eab0670ddd7b5e4126ada1c7e2ab37acc

- Related Changesets
occt: master 35cbf341
Timestamp: 2018-06-26 13:27:12
Author: mnv
Committer: bugmaster
Details ] Diff ]
0029894: Visualization - AIS_ColorScale ColorRange returns only min color

A typo in AIS_ColorScale::ColorRange function has been fixed.
mod - src/AIS/AIS_ColorScale.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-06-24 05:52 eryar New Issue
2018-06-24 05:52 eryar Assigned To => kgv
2018-06-26 14:33 kgv Assigned To kgv => mnv
2018-06-26 14:33 kgv Status new => assigned
2018-06-26 14:33 kgv Summary AIS_ColorScale ColorRange returns only min color => Visualization - AIS_ColorScale ColorRange returns only min color
2018-06-26 14:42 kgv Description Updated View Revisions
2018-06-26 16:38 git Note Added: 0077062
2018-06-26 16:53 git Note Added: 0077063
2018-06-27 10:17 mnv Note Added: 0077069
2018-06-27 10:17 mnv Assigned To mnv => kgv
2018-06-27 10:17 mnv Status assigned => resolved
2018-06-27 10:17 mnv Steps to Reproduce Updated View Revisions
2018-06-27 10:40 git Note Added: 0077070
2018-06-27 10:44 kgv Note Added: 0077071
2018-06-27 10:44 kgv Assigned To kgv => bugmaster
2018-06-27 10:44 kgv Severity minor => trivial
2018-06-27 10:44 kgv Status resolved => reviewed
2018-06-27 14:08 bugmaster Test case number => Not needed
2018-06-27 14:08 bugmaster Note Added: 0077075
2018-06-27 14:08 bugmaster Status reviewed => tested
2018-06-30 12:48 bugmaster Changeset attached => occt master 35cbf341
2018-06-30 12:48 bugmaster Status tested => verified
2018-06-30 12:48 bugmaster Resolution open => fixed
2018-06-30 13:34 git Note Added: 0077137


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker